Package net.shibboleth.spring.testing

# Record Class AbstractFailFastTest.MockProperty

java.lang.Object
java.lang.Record
net.shibboleth.spring.testing.AbstractFailFastTest.MockProperty

Record Components:
  `name` - property name
  `value` - property value

Enclosing class:
  AbstractFailFastTest

public static record AbstractFailFastTest.MockProperty(@Nonnull String name, @Nonnull String value) extends Record
A record wrapper for a mock property.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`name`
The field for the `name` record component.
`private final String`
`value`
The field for the `value` record component.

## Constructor Summary

Constructors
Constructor
Description
`MockProperty(String name, String value)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object o)`
Indicates whether some other object is "equal to" this one.
`final int`
`hashCode()`
Returns a hash code value for this object.
`String`
`name()`
Get name.
`final String`
`toString()`
Returns a string representation of this record class.
`String`
`value()`
Get value.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### name

@Nonnull private final String name
The field for the `name` record component.

### value

@Nonnull private final String value
The field for the `value` record component.

## Constructor Details

### MockProperty

public MockProperty(@Nonnull String name, @Nonnull String value)
Constructor.

Parameters:
  `name` - property name
  `value` - property value

## Method Details

### name

@Nonnull public String name()
Get name.

Returns:
  name

### value

@Nonnull public String value()
Get value.

Returns:
  value

### toString

public final String toString()
Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.

Specified by:
  `toString` in class `Record`
Returns:
  a string representation of this object

### hashCode

public final int hashCode()
Returns a hash code value for this object. The value is derived from the hash code of each of the record components.

Specified by:
  `hashCode` in class `Record`
Returns:
  a hash code value for this object

### equals

public final boolean equals(Object o)
Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.

Specified by:
  `equals` in class `Record`
Parameters:
  `o` - the object with which to compare
Returns:
  `true` if this object is the same as the `o` argument; `false` otherwise.